import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import _defineProperty from "@babel/runtime/helpers/defineProperty";
import React from 'react';
import PropTypes from 'prop-types';
import ReactBootstrapRow from 'react-bootstrap/lib/Row';
import classnames from 'classnames';
export var Row =
/*#__PURE__*/
function (_React$Component) {
  _inheritsLoose(Row, _React$Component);

  function Row() {
    return _React$Component.apply(this, arguments) || this;
  }

  var _proto = Row.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        children = _this$props.children,
        noGutters = _this$props.noGutters,
        className = _this$props.className,
        testAutomationId = _this$props.testAutomationId,
        props = _objectWithoutPropertiesLoose(_this$props, ["children", "noGutters", "className", "testAutomationId"]);

    var classNames = classnames(className, {
      'rc-row-noGutter': noGutters
    });
    return React.createElement(ReactBootstrapRow, _extends({
      "data-test-automation-id": testAutomationId
    }, props, {
      className: classNames
    }), children);
  };

  return Row;
}(React.Component);

_defineProperty(Row, "propTypes", {
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
  testAutomationId: PropTypes.string,
  noGutters: PropTypes.bool
});

_defineProperty(Row, "defaultProps", {
  noGutters: false,
  className: null,
  testAutomationId: null
});